import { SchemaField } from './types';
import * as React from 'react';
export interface JSONSchemaFormFieldContextValue {
    field: SchemaField;
    parentPath: string[];
    depth: number;
    update: (updates: Partial<SchemaField>) => void;
    remove: () => void;
}
export declare function JSONSchemaFormFieldProvider({ children, value, }: {
    children: React.ReactNode;
    value: JSONSchemaFormFieldContextValue;
}): import("react/jsx-runtime").JSX.Element;
export declare function useJSONSchemaFormField(): JSONSchemaFormFieldContextValue;
